CapyDB/ docs
ReferenceAPI

Cutovers

Operator-assisted preview-to-production cutovers.

List cutover requests

GET
/v1/projects/{projectID}/cutover-requests

Authorization

headerAuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

Path Parameters

projectID*string

Project id.

Response Body

Cutover requests.

application/json
  1. response
cutover_requests*array<>
curl -X GET 'https://capydb.dev/api/capydb/v1/projects/string/cutover-requests'
{  "cutover_requests": [    {      "ack_at": "2019-08-24T14:15:22Z",      "ack_by_user_id": "string",      "completed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "customer_note": "string",      "external_ticket_ref": "string",      "id": "string",      "operator_note": "string",      "organization_id": "string",      "pre_cutover_backup_id": "string",      "preview_database_id": "string",      "project_id": "string",      "promote_job_id": "string",      "rejected_reason": "string",      "requested_by_actor_id": "string",      "requested_by_actor_kind": "string",      "status": "open",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/projects/{projectID}/cutover-requests

Authorization

headerAuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

Path Parameters

projectID*string

Project id.

Request Body

application/json
  1. body
customer_note?string
external_ticket_ref?string
preview_id*string

Preview database to promote to production.

Response Body

Cutover request opened.

application/json
  1. response
cutover_request*
curl -X POST 'https://capydb.dev/api/capydb/v1/projects/string/cutover-requests' \  -H 'Content-Type: application/json' \  -d '{  "preview_id": "string"}'
{  "cutover_request": {    "ack_at": "2019-08-24T14:15:22Z",    "ack_by_user_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "customer_note": "string",    "external_ticket_ref": "string",    "id": "string",    "operator_note": "string",    "organization_id": "string",    "pre_cutover_backup_id": "string",    "preview_database_id": "string",    "project_id": "string",    "promote_job_id": "string",    "rejected_reason": "string",    "requested_by_actor_id": "string",    "requested_by_actor_kind": "string",    "status": "open",    "updated_at": "2019-08-24T14:15:22Z"  }}